View Issue Details

IDProjectCategoryView StatusLast Update
0000709SOGoBackend Generalpublic2010-09-14 16:38
Reportermark Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.0 
Target Version1.3.2Fixed in Version1.3.2 
Summary0000709: iCal permissions not working
Description

If you have a default permission of read only set for "any authenticated user" you can not overwrite this for a single user by adding them and allowing modify on all. iCal provides an error when you try to load their calendar of " CalDAVAccountRefreshQueuableOperation" The logs show the following

127.0.0.1 - - [27/Jul/2010:12:16:12 GMT] "PROPFIND /SOGo/dav/user@domain/Calendar/inbox/ HTTP/1.1" 403 248/143 0.036 - - 0

Additional Information

I tested changing the "Any Authenticated User" to have modify for all and with the 2 boxes ticked, but the same error came up. I also tried to remove the "Any Authenticated User" through the web ACL interface but this doesn't seem possible.

TagsNo tags attached.

Activities

ludovic

ludovic

2010-07-27 08:35

administrator   ~0001238

For testing purposes, identity the calendar table and try to delete the rows with <default> as the c_uid in the ACL table.

mark

mark

2010-07-27 09:48

reporter   ~0001239

I removed the <default> c_uid row from the calendar in question, and the problem persists. The log does indicate a permissions error however, as it's providing a 403 code. should the "inbox" url exist? No other calendars (iCal included) try to query this URL. "../Calendar/inbox/ HTTP/1.1" 403"

mark

mark

2010-08-06 10:59

reporter   ~0001279

Any news on this?

ludovic

ludovic

2010-09-14 16:38

administrator   ~0001450

Fixed with

http://mtn.inverse.ca/revision/diff/eb9d7b5fce99d3950d29b0b3737f3463547818d7/with/0abef259fbdc04825fd4d1f13c479488e65d54f5

Please test.

Issue History

Date Modified Username Field Change
2010-07-27 07:42 mark New Issue
2010-07-27 08:35 ludovic Note Added: 0001238
2010-07-27 09:48 mark Note Added: 0001239
2010-08-06 10:59 mark Note Added: 0001279
2010-08-26 21:31 ludovic Target Version => 1.3.2
2010-09-14 16:38 ludovic Note Added: 0001450
2010-09-14 16:38 ludovic Status new => resolved
2010-09-14 16:38 ludovic Fixed in Version => 1.3.2
2010-09-14 16:38 ludovic Resolution open => fixed
2010-09-14 16:38 ludovic Assigned To => ludovic